[arch-commits] Commit in twisted/repos (extra-i686 extra-i686/PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Sat Nov 7 12:00:00 EST 2009


    Date: Saturday, November 7, 2009 @ 11:59:59
  Author: andrea
Revision: 58395

Merged revisions 58393-58394 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/twisted/trunk

........
  r58393 | andrea | 2009-11-07 17:49:54 +0100 (Sat, 07 Nov 2009) | 1 line
  
  added pyopenssl optdependence (FS#10026)
........
  r58394 | andrea | 2009-11-07 17:59:12 +0100 (Sat, 07 Nov 2009) | 2 lines
  
  upgpkg: twisted 8.2.0-2
      FS#10026
........

Modified:
  twisted/repos/extra-i686/	(properties)
  twisted/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)


Property changes on: twisted/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /twisted/trunk:1-23442
   + /twisted/trunk:1-58394

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-07 16:59:12 UTC (rev 58394)
+++ extra-i686/PKGBUILD	2009-11-07 16:59:59 UTC (rev 58395)
@@ -1,21 +1,21 @@
 # $Id$
 # Contributor: Juergen Hoetzel <juergen at archlinux.org>
-# Maintainer:  Douglas Soares de Andrade <douglas at archlinux.org>
+# Contributor:  Douglas Soares de Andrade <douglas at archlinux.org>
 
 pkgname=twisted
 pkgver=8.2.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Asynchronous networking framework written in Python."
 arch=('i686' 'x86_64')
 url="http://twistedmatrix.com/"
 license=('MIT')
 depends=('python' 'pycrypto' 'zope-interface')
+optdepends=('pyopenssl')
 source=(http://tmrc.mit.edu/mirror/twisted/Twisted/${pkgver%.*}/Twisted-${pkgver}.tar.bz2)
+md5sums=('c85f151999df3ecf04c49a781b4438d2')
 
 build() {
-    cd $startdir/src/Twisted-$pkgver
-    python setup.py install --prefix=/usr --root=$startdir/pkg
-    install -D -m644 LICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+    cd ${srcdir}/Twisted-$pkgver
+    python setup.py install --prefix=/usr --root=$pkgdir || return 1
+    install -D -m644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE
 }
-md5sums=('c85f151999df3ecf04c49a781b4438d2')
-md5sums=('c85f151999df3ecf04c49a781b4438d2')



More information about the arch-commits mailing list